%define req_libbonobo_version	2.0.0
%define req_gconf2_version	1.1.1

%define pkgname gnome-vfs
%define api_version	2
%define lib_major	0
%define lib_name	%mklibname %{name}_ %{lib_major}

Summary:	GNOME virtual file-system libraries
Name:		%{pkgname}%{api_version}
Version:	2.4.0
Release:	1mdk
License:	LGPL
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (gb) 2.0.2-6mdk make it check'able enough
Patch3:		gnome-vfs-2.0.2-make-check.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gawk gnome-mime-data
BuildRequires:	libcdda-devel bzip2-devel openssl-devel fam-devel
BuildRequires:	libbonobo2_x-devel >= %{req_libbonobo_version}
BuildRequires:	libGConf2-devel >= %{req_gconf2_version}
Requires:	%{lib_name} = %{version}-%{release}

%description
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is similar in spirit to the Midnight
Commander's VFS (as it uses a similar URI scheme) but it is designed
from the ground up to be extensible and to be usable from any
application.



%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}
Provides:	lib%{name} = %{version}-%{release}
Requires:	gnome-mime-data >= 2.0.0
Requires:   %{name} >= %{version}-%{release}

%description -n %{lib_name}
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.

This package contains the main GNOME VFS libraries, which is required
by the basic GNOME 2 system.


%package -n %{lib_name}-devel
Summary:	Libraries and include files for gnome-vfs
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	libbonobo2_x-devel >= %{req_libbonobo_version}
Requires:   libGConf2-devel >= %{req_gconf2_version}
Requires:   openssl-devel

%description -n %{lib_name}-devel
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.

This package includes libraries and header files for developing
GNOME VFS applications.


%prep
%setup -q -n %{pkgname}-%{version}
%patch3 -p1 -b .make-check

#needed by patch 3
automake

%build
%configure2_5x --enable-gtk-doc=no

%make

#test are broken atm
#make check

%install
rm -rf %{buildroot}
%makeinstall_std


# we ship our own files in drakconf and drakwizard
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gnome-vfs-2.0/vfolders/{system,server}-settings.vfolder-info

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.{la,a} \
  $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.{la,a} \
  $RPM_BUILD_ROOT%{_datadir}/aclocal/gob2.m4

%{find_lang} %{pkgname}-2.0

%clean
rm -rf %{buildroot}

%post 
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/system_http_proxy.schemas > /dev/null

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig


%files -n %{name} -f %{pkgname}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/%{pkgname}-*
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%dir %{_libdir}/%{pkgname}-*
%dir %{_libdir}/%{pkgname}-*/modules
%{_libdir}/%{pkgname}-2.0/modules/*.so
%{_libdir}/bonobo/monikers/lib*.so*
%{_libdir}/bonobo/servers/*
%{_libdir}/vfs
%{_bindir}/*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/lib*.so.*


%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/%{pkgname}-*/include
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Sep 08 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-2mdk
- Fix BuildRequires

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-1mdk
- Release 2.3.90
- Remove patch 4 (merged upstream)

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.8-3mdk
- Update patch 4 and apply it this time (I know, I s*ck :) 

* Mon Sep 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.8-2mdk
- Patch4 : fix 100% cpu when updating mime types files

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.8-1mdk
- Release 2.3.8

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.3.7-2mdk
- Fix deps

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.7-1mdk
- Release 2.3.7

* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-1mdk
- Release 2.3.6
- Remove patch 4 (merged upstream)

* Mon Jul 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.5-2mdk
- Patch4 (CVS): fix compilation with gcc 3.3 (bug #4362)

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.5-1mdk
- Release 2.3.5

* Wed Jun 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-1mdk
- Release 2.3.4

* Wed Jun 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Wed Apr 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.4-1mdk
- Release 2.2.4

* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2-1mdk
- Release 2.2.2

* Mon Feb 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1 (fix bug 993)

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Wed Jan 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.91-2mdk
- Recompiled against latest openssl

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.91-1mdk
- Release 2.1.91

* Mon Jan  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.6-1mdk
- Release 2.1.6
- Remove patch2 (merged upstream)

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Recompiled against latest glibc

* Wed Dec 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4
- Remove patch4 (merged upstream)

* Thu Dec  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3.1-2mdk
- Patch4: ensure user mime dir exists before monitoring it

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3.1-1mdk
- Release 2.1.3.1

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Thu Oct 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4
- Disable make check, it is not working at the moment
- Remove patch1 (merged upstream)
- Regenerate patches 2 & 3
- Drop patch0, "dynamic desktop" will be reimplemented at nautilus level

* Fri Sep 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.2-6mdk
- Patch2: Make it lib64-aware
- Patch3: Make it check'able enough

* Thu Aug 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-5mdk
- Patch1: use vfolder method for server-settings: and system-settings:

* Tue Aug 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-4mdk
- Fix patch0 to prevent the disappering directories on nautilus desktop

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.2-3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.2-2mdk
- Automated rebuild with gcc3.2

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2
- Remove patches 1 & 2 (merged upstream)

* Thu Jul 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-5mdk
- Patch2: fix ssh-method letting zombie process

* Thu Jul 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-4mdk
- Update patch0 for gnome_vfs_uri_get_local_path for desktop: uri

* Tue Jul  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-3mdk
- Update patch0 to fix moving files, directory monitoring and 
  nautilus gconf key monitoring

* Thu Jul  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Patch0: add support for desktop uri
- Patch1: fix monitoring of applications: uri

* Mon Jun 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Fri Jun 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Fix dependencies

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.17-1mdk
- Release 1.9.17

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.16-2mdk
- Rebuilt against libbonobo 2.0.0

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.16-1mdk
- Release 1.9.16

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.9.15-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Fri May 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.15-1mdk
- Release 1.9.15
- Remove patch 0 (merged upstream)

* Tue Apr 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.14-1mdk
- Release 1.9.14

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.12-1mdk
- Release 1.9.12
- Remove patch1 (merged upstream)

* Fri Apr 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.11-1mdk
- Release 1.9.11
- Update patch0 (partially merged upstream)
- Patch1 (CVS): fix compilation with latest version of libbonobo

* Wed Mar 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.10-3mdk
- Add missing dependency

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.10-2mdk
- Update patch0 to fix documentation parallel installation

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.10-1mdk
- First official Mdk package (based on Abel Cheung work)
- Patch0: fix parallel installation 

* Mon Mar 18 2002 Abel Cheung <maddog@linux.org.hk> 1.9.10-1mdk
- 1.9.10

* Sun Jan 13 2002 Abel Cheung <maddog@linux.org.hk> 1.9.4-3mdk
- Corrected Requires for devel

* Tue Jan  8 2002 Abel Cheung <maddog@linux.org.hk> 1.9.4-2mdk
- Add gtkdoc stuff back
- enable_gtkdoc variable to toggle rebuilding gtkdoc stuff
- Use makeinstall_std

* Sat Dec  8 2001 Abel Cheung <maddog@linux.org.hk> 1.9.4-1mdk
- 1.9.4
- Remove unused .la files from devel package
- Eliminate usage of "usecvs" macros
- Turn on more verbose warnings
- Use make install DESTDIR=...
- Use configure2_5x to specify build,host,target
- Fix dependencies

* Sun Nov 25 2001 Abel Cheung <maddog@linux.org.hk> 1.9.3-3mdk
- Add missing include files

* Sun Nov 25 2001 Abel Cheung <maddog@linux.org.hk> 1.9.3-2mdk
- Removed unnecessary dependencies
- Fixed previous changelog

* Mon Nov 25 2001 Abel Cheung <maddog@linux.org.hk> 1.9.3-1mdk
- 1.9.3
- desktop-vfs-module shouldn't be included at all
- Modified Group
- Eliminate files that duplicates with gnome-mime-data as well
- Requires: gnome-mime-data
- Packages renamed to libgnome-vfs2_$major, ditto for devel package

* Wed Oct 31 2001 Abel Cheung <maddog@linux.org.hk> 1.9.1-0.1mdk
- 1.9.1
- "enable_desktop" variable to toggle whether desktop-vfs-module should
  be used, disabled by default
- Patch1 is not needed anymore
- Several files disable because of conflict between gnome-vfs 1 and 2
- Remove static modules out of file list
- Hack to allow compiling with gtk 1.3.10

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.2-3mdk 
- BuildRequires: libbzip2-devel
- Removed redundant BuildRequires
- fix Pablo's changelog entry

* Wed Sep 19 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.2-2mdk
- changed menu-methods to produce utf-8 files (now Gnome supports it and
  it solves a lot of charset problems)

* Wed Sep 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Remove patches 0, 2 (merged upstream)

* Wed Aug 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-5mdk
- Patch 1: add .desktop magic detection
- Patch 2: fix segfault
- Source3 : add desktop-vfs-module from Rawhide

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-4mdk
- Fix menu method to run only as root

* Mon Aug  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Add support for mimetype using menu

* Thu Aug  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Patch0: Fix detection of koffice files

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Fri Mar 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Remove Build depencency on control-center-devel (it is no longer needed)

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2
- Clean spec

* Mon Feb  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5
- Force rebuilding of xml-i18n-tools 

* Tue Jan 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-7mdk
- Recompiled with oaf 0.6.2

* Thu Jan  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-6mdk
- Correct dependency
- Move gnome-vfs-config to devel package

* Mon Dec  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-5mdk
- Correct dependencies (and make dadou happy)

* Tue Nov 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-4mdk
- Correct BuildRequires and Requires 

* Fri Nov 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-3mdk
- merge spec from Stefan van der Eijk <s.vanderiejk@chello.nl> :
		Correct BuildRequires (remove old ones, and organize)

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-2mdk
- Correct BuildRequires

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-1mdk
- Release 0.4.2
- Put libraries in separate package

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-7mdk
- added requirements on GConf, control-center and others

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-6mdk
- rebuilded with libxml instead of libxml2

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-5mdk
- added *.so in devel package

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-4mdk
- Rebuild with new version of rpm macros (fix bad rpath)

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-3mdk
- Add more files to packages

* Tue Aug 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-2mdk
- Move .so files to main package until libraries are correctly build

* Wed Aug 23 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1

* Mon Aug 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Release 0.3
- Remove obsolete patch

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2-2mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- first Mandrake package : BM + macroszification
- patch to correctly install libgnomevfs/gnome-vfs-file-size.h

* Tue Feb 22 2000 Ross Golder <rossigee@bigfoot.com>
- Integrate into source tree
